:root {
    font-size: 12pt;
}

html,
body {
    overscroll-behavior-y: none;
}

body {
    font-family: inter, verdana, arial, helvetica, sans-serif;
    font-size: 11pt;
    background-color: #efefef;
    margin: 0;
    padding: 0;
}

a.linked {
    color: #0869d8;
    text-decoration: underline;
}

a {
    color: #222;
}

a,
.pointered {
    cursor: pointer;
}

a,
a:hover,
a:visited,
a:active,
a:focus {
    outline: 0;
    text-decoration: none;
}

a {
    font-weight: 400;
}

a small {
    font-weight: normal;
}

label {
    font-size: 0.9em;
    font-weight: 600;
}

code {
    padding: 2px 4px;
    font-size: 90%;
    color: #c7254e;
    background-color: #f9f2f4;
    white-space: nowrap;
    border-radius: 4px;
}

.comment,
.disabled,
.subtle {
    color: #888;
}

#error {
    background-color: #a00;
    color: #fff;
    padding: 10px 20px;
}

#wrapper {
    margin: 0;
    padding: 0;
}

#box {
    background-color: #fff;
    max-width: 800px;
    min-height: 800px;
    margin: 1em auto 1em auto;
    padding: 0.6em 1em !important;
    border: 1px solid #e0e0e0;
    border-radius: 4px;
    overflow-x: hidden !important;
    overflow-wrap: break-word;
}

#bottombar {
    position: absolute;
    bottom: 0;
    height: 3.1em !important;
    white-space: nowrap;
    text-align: center;
    font-size: 0.8em;
    overflow-x: auto;
    overflow-y: none;
    -webkit-overflow-scrolling: touch;
    color: rgba(0, 0, 0, 0.6);
    width: 100%;
    margin: 0;
    padding: 0;
}

#bottombar div {
    padding: 0.2em 0.5em 0.5em 0.5em;
}

#bottombar a {
    color: rgba(0, 0, 0, 0.6);
    text-decoration: none;
}

#bottombar a.tapped {
    text-decoration: underline;
}

#bottombar span {
    color: #444;
}

#content {
    position: absolute;
    top: 46px;
    bottom: 2em;
    width: 100%;
    margin: 0 !important;
    padding: 0 !important;
    overflow-y: scroll;
    overflow-x: hidden;
}

#content ul.flash,
#content div.flash {
    margin-top: 0.2em;
    margin-bottom: 0.8em;
    padding-top: 1em;
    padding-bottom: 1em;
}

#content div.flash {
    padding-left: 20px;
}

#content .flash.info {
    background: rgba(0, 255, 0, 0.5);
}

#content .flash.warning {
    background: rgba(255, 255, 0, 0.5);
}

#content .flash.error {
    background: rgba(255, 0, 0, 0.5);
}

.btn {
    display: block !important;
    width: 100% !important;
    max-width: 300px;
    padding-top: 1em;
    padding-bottom: 1em;
    margin-bottom: 0.5em;
}

.medium-font {
    font-weight: 500;
}

.small-avatar {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    object-fit: cover;
    overflow: hidden;
    background-color: #f0f0f0;
}

.avatar {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    object-fit: cover;
    overflow: hidden;
    background-color: #f0f0f0;
}

.big-sticker,
.big-avatar {
    width: 128px;
    height: 128px;
    border-radius: 50%;
    border: 8px solid #fff;
    object-fit: cover;
    overflow: hidden;
}

.big-avatar {
    background-color: #f0f0f0;
    box-shadow: 0 0 6px rgba(0, 0, 0, 0.1);
}

.backbutton i,
.backbutton span {
    display: inline-block;
    vertical-align: middle;
}

.backbutton i {
    font-size: 1.5em;
    padding-right: 0.1em;
}

.backbutton a {
    font-weight: normal;
    color: #0869d8;
}

@media (max-width: 840px) {
    body {
        background-color: #fff;
    }

    #content {
        top: 0 !important;
    }

    #box {
        margin: 0;
        border: 0;
        background: transparent;
        border: none;
    }
}

#wrapper {
    margin: 0;
    padding: 0;
}

#topbar {
    position: absolute;
    top: 0;
    height: 46px;
    z-index: 1000;
    white-space: nowrap;
    overflow-x: auto;
    overflow-y: none;
    overscroll-behavior-y: none;
    -webkit-overflow-scrolling-x: touch;
    -webkit-overflow-scrolling-y: none;
    background-color: #000;
    color: #fff;
    width: 100%;
    margin: 0;
    padding: 0;
    display: flex;
    align-items: center;
}

#topbar div {
    padding: 0.5em 0.5em;
    vertical-align: middle;
}

#topbar a {
    color: #fff;
}

#topbar select {
    background: #222;
    color: #fff;
}

#top_details {
    position: absolute;
    top: 4em;
    height: auto;
    white-space: nowrap;
    overflow-x: auto;
    overflow-y: none;
    -webkit-overflow-scrolling: touch;
    background-color: rgba(255, 255, 255, 0.5);
    color: #000;
    width: 300px;
    z-index: 1000;
    padding: 0;
}

#top_details div,
#top_details ul,
#top_details table {
    margin: 0.2em 0.5em;
}

#bottom_details {
    position: absolute;
    bottom: 4em;
    height: auto;
    white-space: nowrap;
    overflow-x: auto;
    overflow-y: none;
    -webkit-overflow-scrolling: touch;
    background-color: rgba(255, 255, 255, 0.5);
    color: #000;
    width: 300px;
    z-index: 1000;
    padding: 0;
}

#bottom_details div,
#bottom_details ul,
#bottom_details table {
    margin: 0.2em 0.5em;
}

#bottombar {
    position: absolute;
    bottom: 0;
    height: 2em;
    z-index: 1000;
    white-space: nowrap;
    overflow-x: auto;
    overflow-y: none;
    -webkit-overflow-scrolling: touch;
    background-color: #000;
    color: #fff;
    width: 100%;
    margin: 0;
    padding: 0;
}

#bottombar div {
    margin: 0.2em 0.5em;
}

#bottombar a {
    color: #fff;
    text-decoration: none;
}

#bottombar span {
    color: #444;
}

#content {
    position: absolute;
    top: 46px;
    bottom: 2em;
    width: 100%;
    margin: 0.2em 0.5em;
    overflow-y: scroll;
    overflow-x: hidden;
}

#content form div {
    margin-bottom: 1em;
}

#content input,
#content textarea {
    font-size: 100%;
}

#content input[type="submit"] {
    font-size: 120%;
    font-weight: bold;
    border: 1px solid #000;
    border-radius: 5px;
    background-color: #fff;
    background: #222;
    color: #fff;
    padding: 0.2em 0.5em;
}

#content input[type="text"],
#content textarea {
    display: block;
    width: 90%;
    max-width: 600px;
    border: 1px solid #aaa;
    padding: 0.2em 0.5em;
}

#content ul.flash,
#content div.flash {
    margin-top: 0.2em;
    margin-bottom: 0.8em;
    padding-top: 1em;
    padding-bottom: 1em;
}

#content div.flash {
    padding-left: 20px;
}

#content .flash.info {
    background: rgba(0, 255, 0, 0.5);
}

#content .flash.warning {
    background: rgba(255, 255, 0, 0.5);
}

#content .flash.error {
    background: rgba(255, 0, 0, 0.5);
}

#content label {
    margin-top: 0.5em;
    display: block;
    font-weight: bold;
}

#map {
    position: absolute;
    top: 46px;
    bottom: 0;
    width: 100%;
    overflow: none;
}

#map.displayed-in-browser {
    bottom: 2em;
}

.top-anchored {
    top: 0 !important;
}
